test_setup()
{
    request=$'/\r\n'

    cat >"$docroot"/.HEADER <<EOF
This is a header.

It can contain menu items:
[0|About this server|about.txt|server|port]
EOF

    echo hello >"$docroot"/somefile
}

test_set_assumptions()
{
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    (
        printf 'iThis is a header.\t-\t-\t0\r\n'
        printf 'i\t-\t-\t0\r\n'
        printf 'iIt can contain menu items:\t-\t-\t0\r\n'
        printf '0About this server\t/about.txt\tlocalhost\t70\r\n'
        printf 'i\t-\t-\t0\r\n'
        printf '0somefile\t/somefile\tlocalhost\t70\r\n'
    ) >"$work"/stdout.expected
}
